summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar jet tsang zeon-git <zeon-git@jettsang.com> 2022-11-30 15:06:37 +0800
committerGravatar jet tsang zeon-git <zeon-git@jettsang.com> 2022-11-30 15:06:37 +0800
commitc0789d935711ec1b396e6b15d49ad2dd48105fa4 (patch)
tree859f164920449847b721891e9126e1d373458631
parentupdate (diff)
downloadnetwork-toolchain-c0789d935711ec1b396e6b15d49ad2dd48105fa4.tar.gz
network-toolchain-c0789d935711ec1b396e6b15d49ad2dd48105fa4.tar.bz2
network-toolchain-c0789d935711ec1b396e6b15d49ad2dd48105fa4.zip
add 2606:4700::/32
Signed-off-by: jet tsang zeon-git <zeon-git@jettsang.com>
-rw-r--r--iplist/v6_china_rules3
-rw-r--r--iplist/v6_world_rules11
-rwxr-xr-xsrc/lib.sh30
3 files changed, 34 insertions, 10 deletions
diff --git a/iplist/v6_china_rules b/iplist/v6_china_rules
new file mode 100644
index 0000000..bb5748a
--- /dev/null
+++ b/iplist/v6_china_rules
@@ -0,0 +1,3 @@
+2606:4700:20::681a:d32/64
+2606:4700:20::681a:c32/64
+2606:4700:20::ac43:4908/64
diff --git a/iplist/v6_world_rules b/iplist/v6_world_rules
index 6cd5ca2..d8a7c82 100644
--- a/iplist/v6_world_rules
+++ b/iplist/v6_world_rules
@@ -37,15 +37,6 @@
2620:11c::/32
2a04:fa87::/32
2620:100::/32
-2606:4700:10::/48
2001:4998::/32
-2606:4700:7::/48
-2606:4700:3036::/48
+2606:4700::/32
2406:2000:ec:c58::/60
-2606:4700:4400::/48
-2606:4700:3034::/48
-2606:4700::/64
-2606:4700:20::/48
-2606:4700:3035::/48
-2606:4700:3032::/48
-2600:1406:3c00::/48
diff --git a/src/lib.sh b/src/lib.sh
index 4c0dc34..8d20a83 100755
--- a/src/lib.sh
+++ b/src/lib.sh
@@ -208,6 +208,36 @@ function nt::world_route6() {
esac
}
+function nt::china_route6() {
+ case $OSNAME in
+ Linux)
+ for ip in $(cat $IPLISTPATH/v6_china_rules); do
+ ip -6 route add $ip dev $1 # > /dev/null 2>&1 > /dev/null
+ done
+ ;;
+ Darwin)
+ ;;
+ *)
+ exit 1
+ ;;
+ esac
+}
+
+function nt::route6_dev() {
+ case $OSNAME in
+ Linux)
+ for ip in $(cat $IPLISTPATH/$1); do
+ ip -6 route add $ip dev $2 # > /dev/null 2>&1 > /dev/null
+ done
+ ;;
+ Darwin)
+ ;;
+ *)
+ exit 1
+ ;;
+ esac
+}
+
function nt::remove_world_route() {
case $OSNAME in